/*
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id$
 */

package com.sun.ts.tests.jsonb.customizedmapping.adapters.model.adapter;

public class AnimalJson {
    public enum TYPE {
        CAT, DOG, GENERIC
    }

    private TYPE type;
    private int age;
    private String name;
    private float weight;
    private Boolean furry;
    private Boolean cuddly;
    private Boolean barking;

    public TYPE getType() {
        return type;
    }

    public void setType(TYPE type) {
        this.type = type;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public float getWeight() {
        return weight;
    }

    public void setWeight(float weight) {
        this.weight = weight;
    }

    public Boolean isFurry() {
        return furry;
    }

    public void setFurry(Boolean furry) {
        this.furry = furry;
    }

    public Boolean isCuddly() {
        return cuddly;
    }

    public void setCuddly(Boolean cuddly) {
        this.cuddly = cuddly;
    }

    public Boolean isBarking() {
        return barking;
    }

    public void setBarking(Boolean barking) {
        this.barking = barking;
    }
}
